## parchive 1.1

=== Makefile ===

CFLAGS=-g -W -Wall -Wno-unused -O2

par: backend.o checkpar.o makepar.o rwpar.o rs.o md5.o fileops.o main.o readoldpar.o interface.o ui_text.o
	$(CC) -o $@ $^

clean:
	rm -f core par par.exe *.o

all: par

par.exe:
	make clean
	make CC="dos-gcc -s"

install: par
	install par ${HOME}/bin/

=== debian/changelog ===
parchive (1.1-6) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.9.7 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.
  * Trim trailing whitespace.
  * debian/rules: Use dh_prep rather than "dh_clean -k".
  * Bump debhelper from deprecated 9 to 13.
  * Set debhelper-compat version in Build-Depends.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 24 Oct 2024 15:57:02 +0200

parchive (1.1-5) unstable; urgency=medium

  * QA upload.
  * Convert to source format 3.0.
  * d/copyright: convert to machine-readable format.
  * Typo correction. (Closes: #396979)

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make. (Closes: #914661)

  [ Nicolas François]
  * Correct manpage formatting error. (Closes: #274442)

 -- Bastian Germann <bage@debian.org>  Wed, 16 Aug 2023 17:34:43 +0000

parchive (1.1-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: added missing targets build-arch and build-indep.
    (Closes: #999064)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 05 Apr 2022 17:41:54 -0300

parchive (1.1-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Migrated DH level to 9 to avoid a FTBFS. (Closes: #800202)
  * debian/compat: created.
  * debian/control:
      - Added the Homepage field.
      - Added the ${misc:Depends} field.
      - Bump Standards-Version to 3.9.7.
  * debian/watch: created.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 07 Apr 2016 15:40:51 -0300

parchive (1.1-4) unstable; urgency=low

  * Take the package back from Vince with his approval.
  * Fixed help text (Closes: #155433)
  * Updated package description (Closes: #142033)
  * Many thanks to Vince for taking care of this package in my absence.

 -- Rene Weber <rene_debmaint@public.e-mail.elvenlord.com>  Sun,  1 Aug 2004 14:33:57 -0400

parchive (1.1-3) unstable; urgency=low

  * New maintainer (Closes: #244453)
  * Edited control file to reflect the differences between PAR 1.0 files
    supported by the parchive package and PAR 2.0 files supported by
    the par2 package.
  * Edited the Readme file as per above 2.0 vs 1.0 format issue.
  * Bumped standards version from 3.5.2 to 3.6.1.0

 -- Vince Mulhollon <vlm@debian.org>  Sun, 30 May 2004 16:07:49 -0500

parchive (1.1-2) unstable; urgency=low

  * Uploading with maintainer set to QA group
  * debian/copyright: removed dh_make boilerplatedness

 -- Andrew Pollock <apollock@debian.org>  Sun,  9 May 2004 17:41:14 +1000

parchive (1.1-1) unstable; urgency=low

  * Initial Release.
  * Name of binary changed to "parchive" instead of "par" due to a collision.
  * Applied patch for sparc architectures found at
    <http://sourceforge.net/forum/forum.php?thread_id=480782&forum_id=96207>
    Verified to work for one trivial case.

 -- Rene Weber <rene_debmaint@elvenlord.com>  Sat,  2 Feb 2002 23:40:31 -0500

=== debian/control ===
Source: parchive
Section: utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.0
Homepage: http://parchive.sourceforge.net
Vcs-Browser: https://salsa.debian.org/debian/parchive
Vcs-Git: https://salsa.debian.org/debian/parchive.git

Package: parchive
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Use PAR files to reconstruct missing parts of multi-part archives
 This utility applies the data-recovery capability concepts of RAID-like
 systems to the posting and downloading of multi-part archives on USENET by
 providing the ability to create and use redundant recovery records.  It
 supports the 'Reed-Solomon Code' implementation that allows for recovery of
 any 'X' volumes for 'X' parity volumes present.  It is popularly used on
 USENET postings, but is not limited to this use.
 .
 The Debian parchive package supports "legacy" version 1.0 PAR files.
 The Debian par2 package supports version 2.0 PAR files.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
# export DH_COMPAT=3

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir

	# Add here commands to compile the package.
	dh_auto_build
	#/usr/bin/docbook-to-man debian/parchive.sgml > debian/parchive.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/parchive.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/parchive


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman debian/parchive.1
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
build-arch: build
build-indep: build
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=4
http://sf.net/parchive/par-v?(\d\S+)\.tar\.(?:bz2|gz|xz)
